::-webkit-scrollbar {
    width: 9px;
}

::-webkit-scrollbar-track {
    background-color: var(--bs-gray-600);
    border-radius: 100px;
}

::-webkit-scrollbar-thumb {
    border: 3px solid transparent;
    border-radius: 100px;
    background-color: var(--bs-gray-300);
    background-clip: content-box;
}

body {
    font-family: "Poppins" !important;
}

.footer {
    margin-top: 5em !important;
}

.error {
    color: #e11d48;
}

.table td,
.table th {
    white-space: unset;
}

td {
    word-wrap: break-word;
    word-break: break-word;
}

.card .table td,
.card .table th {
    padding-left: 0.5rem;
    padding-right: 0.5rem;
}

.notyf__ripple {
    height: 40em;
    width: 52em;
}

.notyf__toast {
    max-width: 40em;
}

.notyf__message > ul {
    margin: 0;
}
.content {
    overflow: auto !important;
    padding: 0 1rem 0 1rem;
    transition: all 0.3s;
    margin-top: -1.2em;
}

@media (min-width: 576px) {
    .modal-dialog {
        max-width: 637px;
        margin: 1.75rem auto;
    }
}
.detail-row {
    padding: 8px;
    border-bottom: 1px dashed rgba(0, 0, 0, 0.1);
}

.select2-selection {
    border-radius: 0.5rem !important;
}

.download-search-container {
    display: flex;
    gap: 0.75em;
}

.dataTables_wrapper .dataTables_length label {
    padding-left: 0 !important ;
}

.dataTables_filter > label > .form-control {
    width: 12em !important;
}

.no-padding {
    padding: 0 !important;
}

.card-body-padding {
    padding: 1.25rem 1.5rem;
}

.border-right {
    border-right: 3px solid;
    border-right-style: groove;
    border-color: grey;
}

.loading-image-container {
    position: fixed;
    height: 100vh;
    width: 100%;
    background: rgba(0, 0, 0, 0.8);
    z-index: 10000;
    display: none;
}

.loading-image {
    left: 50%;
    position: absolute;
    top: 50%;
}

td {
    font-size: 0.75em;
}

td > .badge {
    font-size: 0.87em !important;
}

.dataTables_scroll {
    overflow-y: auto;
    max-height: 30em;
}

.dataTables_scroll thead th {
    position: sticky !important;
    top: 0;
    z-index: 1;
}
.dataTables_processing {
    z-index: 4;
}

.dt-buttons {
    position: relative;
    float: left;
}

.center {
    display: flex;
    align-items: center;
}

.buttons-pdf {
    color: #fff !important;
    background-color: #138496 !important;
    border-color: #117a8b !important;
    background-image: none !important;
    border-radius: 0.25rem !important;
}

table {
    border-radius: 0.5em !important;
}

.table tr th {
    color: #ffffff !important;
    font-weight: normal;
    background-color: rgba(var(--bs-gray-800-rgb)) !important;
    border-bottom: solid 2px #d8d8d8 !important;
    position: sticky !important;
    top: 0;
    text-align: left;
    padding: 15px;
    box-sizing: border-box;
    border-right-width: 0;
}

table.table-bordered.dataTable th,
table.table-bordered.dataTable td {
    border-right-width: 0 !important;
    border-left-width: 0 !important;
}

th {
    font-size: 15px;
    text-align: center !important;
}

td {
    font-size: 15px;
    text-align: center !important;
}

.table th:first-child {
    border-top-left-radius: 0.5em;
    border-bottom-left-radius: 0.5em;
}

.table th:last-child {
    border-top-right-radius: 0.5em;
    border-bottom-right-radius: 0.5em;
}

.btn .icon {
    height: 1.2em !important;
}

.modal-body .card {
    margin-bottom: 0rem !important;
}

@media (min-width: 768px) {
    .sidebar {
        width: 100%;
        max-width: 250px !important;
    }
}

.editModal {
    cursor: pointer;
}

.deleteModal {
    cursor: pointer;
}

.viewModal {
    cursor: pointer;
}

.large-modal > .modal > .modal-dialog {
    max-width: 1284px !important;
}

.gap-header {
    display: flex;
    gap: 0.75em;
}

.badge-success {
    background-color: green;
}

.badge-error {
    background-color: red;
}

.custom-row {
    display: flex;
    flex-direction: row;
    gap: 1em;
}

.hide {
    display: none !important;
}

.login-logo {
    height: 8em;
    margin: auto;
    border-radius: 16px;
}

.floating-input-wrapper {
    margin-bottom: 15px;
    position: relative;
    border: 1px solid #ddd;
    padding: 0px 10px 0px 10px;
    border-radius: 10px;
}

.floating-input-wrapper:focus,
.floating-input-wrapper:focus-within,
.floating-input-wrapper:hover {
    border-color: #113066;
}

.floating-input-wrapper .floating-input {
    width: 100%;
    padding: 10px 0px;
    margin-top: 16px;
    border: none;
    outline: none;
}

.floating-input-wrapper .floating-input::placeholder {
    opacity: 0;
}

.floating-input-wrapper:focus-within > .floating-input::placeholder {
    opacity: 1;
}

.floating-input-wrapper .floating-label {
    position: absolute;
    top: 7px;
    left: 0;
    transform: translateY(12px);
    font-size: 1em;
    transition-duration: 300ms;
    padding: 0px;
    padding-left: 10px;
}

.floating-input-wrapper:focus-within > .floating-label,
.floating-input:not(:placeholder-shown) + .floating-label {
    color: #113066;
    transform: translateY(0px);
    top: 7px;
}

.login-mobile-div {
    width: 40em;
}

.login-title {
    margin-top: 22px !important;
    margin-bottom: 22px;
}

.show {
    display: block;
}

.spinner-wrapper {
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.5s ease-out, visibility 0s linear 0.5s;
    z-index: 99999;
    background-color: #fff !important;
    align-items: center !important;
    justify-content: center !important;
    height: 100vh !important;
    width: 100% !important;
    transform: translate(-50%, -50%) !important;
    left: 50% !important;
    top: 50% !important;
    position: fixed !important;
    display: flex !important;
}

.spinner {
    width: 3rem;
    height: 3rem;
    color: #284b72 !important;
    display: inline-block;
    width: 2rem;
    height: 2rem;
    vertical-align: -0.125em;
    border: 0.25em solid currentColor;
    border-right-color: transparent;
    border-radius: 50%;
    animation: 0.75s linear infinite spinner-border;
}

.show-spinner {
    opacity: 1 !important;
    visibility: visible !important;
}

@keyframes spinner-border {
    to {
        transform: rotate(360deg); /* rtl:ignore */
    }
}

.bg-dark {
    background-color: #284b72 !important;
}

.notyf__ripple {
    height: 40em !important;
    width: 52em !important;
}

.notyf__toast {
    max-width: 40em !important;
}

.notyf__message > ul {
    margin: 0 !important;
}

.wrapper-messages {
    display: block;
    border-radius: 3px;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    padding: 10px 20px;
    background-color: #fff;
    min-height: 120px;
}

.wrapper-messages .card {
    border: none;
    /* width: 720px; */
    display: flex;
    /* justify-content: space-around; */
    align-items: center;
    flex-direction: row;
}

.wrapper-warning {
    border-left: 5px solid #fdc220;
}

.wrapper-error {
    border-left: 5px solid #e11d48;
}

.wrapper-error .wrapper-messages-container {
    color: #e11d48;
}

.wrapper-error .card .subject h3 {
    color: #e11d48;
}

.wrapper-messages .card .subject {
    margin-left: 23px;
    margin-top: 12px;
}
.wrapper-messages .card .subject p {
    color: #909092;
}
.wrapper-messages .card .icon {
    font-size: 28px;
}

.wrapper-warning .card .icon {
    color: #fdc220;
}

.wrapper-error .card .icon {
    color: #e11d48;
}

.wrapper-messages .card .icon-times {
    font-size: 28px;
    color: #c3c2c7;
    cursor: pointer;
    margin-left: auto;
}

@keyframes slideaway {
    from {
        display: block;
    }
    to {
        transform: translateY(40px);
        opacity: 0;
    }
}

.wrapper-messages-hide {
    animation: slideaway 400ms;
    display: none !important;
}

.hide-content {
    animation: slideaway 400ms;
    display: none !important;
}

.retirement-planning-values {
    padding: 1em;
    border: 1px solid #d5d5d5;
    border-radius: 16px;
    display: flex;
    flex-direction: column;
    gap: 1em;
}

.retirement-planning-values-contaier {
    display: flex;
    justify-content: space-between;
    gap: 0.75em;
    align-items: center;
    flex-direction: column;
}

.retirement-planning-value {
    font-size: 12px;
    letter-spacing: 0.25px;
    line-height: 21px;
    color: #606060;
    font-weight: bold;
    text-align: center;
}

.retirement-planning-amount {
    font-size: 12px;
    color: #606060;
    font-weight: bold;
}

.retirement-planning-or {
    text-align: center;
    font-size: 12px;
    font-weight: bold;
    color: #606060;
}

.disclmair {
    display: inline-block;
    font-weight: bold;
    width: 100%;
    text-align: left;
}

.small-text {
    color: #747474;
    display: inline-block;
    font-size: 12px;
    text-align: justify;
}

.retirement-p {
    margin: 0;
    font-weight: bold;
    color: #606060;
}

@media (min-width: 768px) {
    .retirement-planning-values-contaier {
        flex-direction: row;
        /* justify-content: space-around; */
    }

    .retirement-planning-value {
        font-size: 14px;
    }

    .retirement-planning-or {
        font-size: 14px;
    }
    .retirement-planning-amount {
        font-size: 14px;
    }
}

.mobile-view {
    display: flex !important;
    font-size: 14px;
    border: none !important;
}

.desktop-view {
    display: none !important;
}

.user-img {
    height: 1em;
}

.dropdown-title {
    text-align: center;
}

.user-dropdown-menu {
    padding: 0 !important;
    display: flex !important;
    gap: 0.5em;
    justify-content: center;
    align-items: center;
}

.dropdown-wrapper:focus .dropdown-menu,
.dropdown-wrapper:focus-within .dropdown-menu,
.dropdown-wrapper:hover .dropdown-menu {
    display: flex;
    flex-direction: column;
    padding: 0.5em;
    display: flex;
    gap: 0.5em;
    width: 100%;
}

.mobile-view .dropdown-wrapper:focus .dropdown-menu,
.mobile-view .dropdown-wrapper:focus-within .dropdown-menu,
.mobile-view .dropdown-wrapper-wrapper:hover .dropdown-menu {
    position: absolute;
    width: 100%;
}

.desktop-view .dropdown-wrapper:focus .dropdown-menu,
.desktop-view .dropdown-wrapper:focus-within .dropdown-menu,
.desktop-view .dropdown-wrapper-wrapper:hover .dropdown-menu {
    right: 0;
}

.text-align-center {
    text-align: center;
}

.hello-text {
    font-weight: 400;
}
.welcome-text {
    font-weight: 650;
    display: block;
    font-size: 1.5em;
    font-family: revert;
    line-height: 32px;
    letter-spacing: 0px;
    color: #021976;
    margin-top: 16px;
    font-family: "Poppins";
}

.login-header {
    margin-bottom: 9px;
}

.header-logo {
    height: 1.3em;
    margin: auto;
    border-radius: 16px;
}

.retirement-planning-title {
    /* color: #484444;
    font-weight: 700; */
    color: white;
    font-weight: 700;
    font-size: 38px;
    letter-spacing: 4px;
    text-align: left;
    width: 100%;
    display: block;
    margin-left: -4px;
}

.retirement-planning-list {
    display: flex;
    flex-direction: column;
    gap: 0.5em;
    word-spacing: 10px;
    color: white;
    padding: 1em;
    text-align: left;
}

.flex {
    display: flex;
}

.profile-container {
    margin: 2em;
    border: 1px solid #e5e5e5;
    border-radius: 16px;
    display: flex;
    flex-direction: column;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 6px 6px;
}

.profile-container .profile-left-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1em;
    background: #284b72 !important;
    border-radius: 16px;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    padding: 1em;
    flex: 30%;
}

.profile-container .profile-left-container .profile-img {
    width: 5em;
    height: 5em;
    border-radius: 50%;
}

.profile-container .profile-left-container .profile-user-name {
    color: lightgray;
    font-weight: 500;
}

.profile-container .profile-left-container .profile-edit-icon {
    background: none;
    border: none;
    color: lightgray;
}

.profile-container .profile-right-container {
    background: white;
    padding: 1em;
    border-radius: 16px;
    flex: 70%;
    display: flex;
    flex-direction: column;
    gap: 1em;
}

.profile-container .profile-right-container .profile-right-header {
    text-align: left;
    font-weight: 700;
    border-bottom: 3px solid #e5e5e5;
}

.profile-container .profile-right-container .profile-right-content {
    display: flex;
    flex-direction: column;
    gap: 0.5em;
}

.profile-container
    .profile-right-container
    .profile-right-content-container
    .profile-right-content
    .profile-right-header-label {
    font-weight: 500;
}

.profile-container .profile-right-container .profile-right-content-container {
    display: flex;
    flex-direction: column;
    gap: 1em;
}

.profile-form {
    display: flex;
    flex-direction: column;
    /* justify-content: center; */
    /* align-items: center; */
    padding: 1em;
    gap: 2em;
    border: 1px solid #e5e5e5;
    background: white;
    border-radius: 16px;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 6px 6px;
}

@media (min-width: 991px) {
    .profile-form {
        width: 50%;
        margin: auto;
    }
    .profile-container {
        flex-direction: row;
        min-height: 350px;
        width: 50%;
        margin: auto;
    }
    .profile-container .profile-left-container {
        border-bottom-left-radius: 16px;
        border-bottom-right-radius: 0;
        border-top-right-radius: 0;
    }

    .profile-container
        .profile-right-container
        .profile-right-content-container {
        flex-direction: row;
        flex-wrap: wrap;
    }

    .profile-container .profile-right-container .profile-right-content {
        flex: 45%;
    }

    .retirement-planning-values-contaier {
        /* padding-left: 4em;
        padding-right: 4em; */
    }

    .retirement-planning-value-wrapper {
        margin: auto;
        display: flex;
        width: 50%;
    }
    .retirement-planning-value {
        font-size: 14px;
        text-align: left;
        flex: 20%;
    }

    .mobile-view {
        display: none !important;
    }

    .desktop-view {
        display: flex !important;
    }
}

.custom-radio-wrapper {
    display: inline-flex;
    width: 100% !important;
}

.custom-radio-item {
    flex-grow: 1;
    position: relative;
    display: inline-block;
    margin-bottom: 0.5rem;
}

.custom-radio-input {
    opacity: 0;
    position: absolute;
    z-index: -1;
    top: 0;
    left: 0;
}

.custom-radio-input:focus + .custom-radio-button,
.custom-radio-input:checked + .custom-radio-button {
    background-color: #284b72;
    color: #fff;
    z-index: 1;
}

.custom-radio-button {
    background-color: #fdfdff;
    border-color: #e4e6fc;
    border-width: 1px;
    border-style: solid;
    display: block;
    text-align: center;
    padding: 0 1rem;
    height: 35px;
    position: relative;
    cursor: pointer;
    border-radius: 3px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    font-size: 13px;
    min-width: 2.375rem;
    line-height: 36px;
}

.send-email-header {
    padding: 2em;
    color: white;
    background: #284b72;
}

.send-email-header .modal-title {
    color: white;
}

.send-email-btn {
    flex: 50%;
}
.close-send-email-btn {
    flex: 50%;
    background: #e9e9e9 !important;
    color: black !important;
}

.email-body {
    padding-top: 0.5em !important;
}
